Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface SerialFieldTag

All Superinterfaces:
  Comparable<Object>, Tag

    public interface SerialFieldTag

extends Tag, Comparable<Object>

Documents a Serializable field defined by an ObjectStreamField.

     The class parses and stores the three serialField tag parameters:

     - field name
     - field type name
          (fully-qualified or visible from the current import context)
     - description of the valid values for the field

This tag is only allowed in the javadoc for the special member serialPersistentFields.

See Also:
  `ObjectStreamField`

Method Summary
`int` | `compareTo(Object obj)` Compares this Object with the specified Object for order.
`String` | `description()` Return the field comment.
`String` | `fieldName()` Return the serialziable field name.
`String` | `fieldType()` Return the field type string.
`ClassDoc` | `fieldTypeDoc()` Return the ClassDoc for field type.

Methods inherited from interface com.sun.javadoc.Tag
`firstSentenceTags, holder, inlineTags, kind, name, position, text, toString`

Method Detail

### fieldName

    String fieldName()

  Return the serialziable field name.

### fieldType

    String fieldType()

  Return the field type string.

### fieldTypeDoc

    ClassDoc fieldTypeDoc()

  Return the ClassDoc for field type.

  Returns:
    null if no ClassDoc for field type is visible from containingClass context.

### description

    String description()

  Return the field comment. If there is no serialField comment, return javadoc comment of corresponding FieldDoc.

### compareTo

    int compareTo(Object obj)

  Compares this Object with the specified Object for order. Returns a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.

  Included to make SerialFieldTag items java.lang.Comparable.

  Specified by:
    `compareTo` in interface `Comparable<Object>`
  Parameters:
    `obj` - the `Object` to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.
  Throws:
    `ClassCastException` - the specified Object's type prevents it from being compared to this Object.
  Since:
    1.2

Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2011, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.